{ inputs, pkgs, ... }:
{
  programs.neovim =
  let 
    toLua = str: "lua << EOF\n${str}\nEOF\n";
    toLuaFile = file: "lua << EOF\n${builtins.readFile file}\nEOF\n";
  in
  {
    enable = true;

    viAlias = true;
    vimAlias = true;
    vimdiffAlias = true;

    defaultEditor = true;

    plugins = with pkgs.vimPlugins; [
      # Colorschemes
      {
        plugin = catppuccin-nvim;
        config = toLuaFile ./plugins/colorschemes/catppuccin.lua
      }
    ];
  };
}
